package parser;

/**
 * Interface for a token visitor.
 */
public interface IVisitDefault {
    /**
     * Default case for a token.
     *
     * @param host  token
     * @param param visitor-specific parameter
     * @return visitor-specific return value
     */
    public Object defaultCase(AToken host, Object param);
}

