package parser;

/**
 * Visitor to parse an or token.
 *
 * @author Mathias Ricken
 */
public class ParseOrVisitor implements OrToken.IVisitOrToken {
    /**
     * Singleton instance.
     */
    public static ParseOrVisitor Singleton = new ParseOrVisitor();

    /**
     * Private singleton constructor.
     */
    private ParseOrVisitor() {
    }

    public Object orCase(OrToken host, Object param) {
        return host;
    }

    public Object defaultCase(AToken host, Object param) {
        throw new IllegalArgumentException("Wrong token: '" + host + "'");
    }
}
