package parser;

/**
 * Visitor to parse a word token.
 *
 * @author Mathias Ricken
 */
public class ParseWordVisitor implements WordToken.IVisitWordToken {
    /**
     * Singleton instance.
     */
    public static ParseWordVisitor Singleton = new ParseWordVisitor();

    /**
     * Private singleton constructor.
     */
    private ParseWordVisitor() {
    }

    public Object wordCase(WordToken host, Object param) {
        return host;
    }

    public Object defaultCase(AToken host, Object param) {
        throw new IllegalArgumentException("Wrong token: '" + host + "'");
    }
}
