package output;

/**
 * Non-terminal: E ::= T E1
 */
public class E {
    /**
     * Non-terminal: T.
     */
    private T _t;

    /**
     * Non-terminal: E1.
     */
    private E1 _e1;

    /**
     * Constructor for E.
     *
     * @param _t Non-terminal T
     * @param _e1 Non-terminal E1
     */
    public E(T _t,
             E1 _e1) {
        this._t = _t;
        this._e1 = _e1;
    }

    /**
     * Return a string representation.
     *
     * @return string representation
     */
    public String toString() {
        return _t.toString()
             + _e1.toString();
    }
}
