package output;

/**
 * Non-terminal: T1_2 ::= QuotedStringToken
 */
public class T1_2
    implements T1 {
    /**
     * Terminal: QuotedStringToken.
     */
    private QuotedStringToken _quotedstringtoken;

    /**
     * Constructor for T1_2.
     *
     * @param _quotedstringtoken Terminal QuotedStringToken
     */
    public T1_2(QuotedStringToken _quotedstringtoken) {
        this._quotedstringtoken = _quotedstringtoken;
    }

    /**
     * Return a string representation.
     *
     * @return string representation
     */
    public String toString() {
        return _quotedstringtoken.toString();
    }
}
