package output;

/**
 * Terminal: _Terminal3.
 */
public class _Terminal3 extends AToken {
    /**
     * Interface for a visitor to visit a _Terminal3.
     */
    public static interface I_Terminal3Visitor extends ITokVisitor {
        /**
         * Case for a _Terminal3.
         *
         * @param host  _Terminal3
         * @param param visitor-specific parameter
         * @return visitor-specific return value
         */
        public Object _terminal3Case(_Terminal3 host, Object param);
    }

    /**
     * Private singleton constructor for a _Terminal3.
     *
     * @param lexeme lexeme
     */
    private _Terminal3() {
        super(";");
    }

    /**
     * Singleton instance.
     */
    public static final _Terminal3 Singleton = new _Terminal3();

    /**
     * Execute the _Terminal3 case of the visitor.
     *
     * @param algo  visitor
     * @param param visitor-specific parameter
     * @return visitor-specific return value
     */
    public Object execute(ITokVisitor algo, Object param) {
        return (algo instanceof I_Terminal3Visitor)
                ? ((I_Terminal3Visitor) algo)._terminal3Case(this, param)
                : algo.defaultCase(this, param);
    }
}
