package output;

/**
 * Terminal: _Terminal4.
 */
public class _Terminal4 extends AToken {
    /**
     * Interface for a visitor to visit a _Terminal4.
     */
    public static interface I_Terminal4Visitor extends ITokVisitor {
        /**
         * Case for a _Terminal4.
         *
         * @param host  _Terminal4
         * @param param visitor-specific parameter
         * @return visitor-specific return value
         */
        public Object _terminal4Case(_Terminal4 host, Object param);
    }

    /**
     * Private singleton constructor for a _Terminal4.
     *
     * @param lexeme lexeme
     */
    private _Terminal4() {
        super("|");
    }

    /**
     * Singleton instance.
     */
    public static final _Terminal4 Singleton = new _Terminal4();

    /**
     * Execute the _Terminal4 case of the visitor.
     *
     * @param algo  visitor
     * @param param visitor-specific parameter
     * @return visitor-specific return value
     */
    public Object execute(ITokVisitor algo, Object param) {
        return (algo instanceof I_Terminal4Visitor)
                ? ((I_Terminal4Visitor) algo)._terminal4Case(this, param)
                : algo.defaultCase(this, param);
    }
}
