package parser;

/**
 * Visitor to parse an assign token.
 *
 * @author Mathias Ricken
 */
public class ParseAssignVisitor implements AssignToken.IVisitAssignToken {
    /**
     * Singleton instance.
     */
    public static ParseAssignVisitor Singleton = new ParseAssignVisitor();

    /**
     * Private singleton constructor.
     */
    private ParseAssignVisitor() {
    }

    public Object assignCase(AssignToken host, Object param) {
        return host;
    }

    public Object defaultCase(AToken host, Object param) {
        throw new IllegalArgumentException("Wrong token: '" + host + "'");
    }
}
