package output;

/**
 * Non-terminal: T1_1 ::= WordToken
 */
public class T1_1
    implements T1 {
    /**
     * Terminal: WordToken.
     */
    private WordToken _wordtoken;

    /**
     * Constructor for T1_1.
     *
     * @param _wordtoken Terminal WordToken
     */
    public T1_1(WordToken _wordtoken) {
        this._wordtoken = _wordtoken;
    }

    /**
     * Return a string representation.
     *
     * @return string representation
     */
    public String toString() {
        return _wordtoken.toString();
    }
}
