package output;

/**
 * Terminal: T2.
 */
public class T2 extends AToken
    implements T {
    /**
     * Interface for a visitor to visit a T2.
     */
    public static interface IT2Visitor extends ITokVisitor {
        /**
         * Case for a T2.
         *
         * @param host  T2
         * @param param visitor-specific parameter
         * @return visitor-specific return value
         */
        public Object t2Case(T2 host, Object param);
    }

    /**
     * Constructor for a T2.
     *
     * @param lexeme lexeme
     */
    public T2(String lexeme) {
        super(lexeme);
    }

    /**
     * Execute the T2 case of the visitor.
     *
     * @param algo  visitor
     * @param param visitor-specific parameter
     * @return visitor-specific return value
     */
    public Object execute(ITokVisitor algo, Object param) {
        return (algo instanceof IT2Visitor)
                ? ((IT2Visitor) algo).t2Case(this, param)
                : algo.defaultCase(this, param);
    }
}
