package output;

/**
 * Non-terminal: T_1 ::= T2
 */
public class T_1
    implements T {
    /**
     * Terminal: T2.
     */
    private T2 _t2;

    /**
     * Constructor for T_1.
     *
     * @param _t2 Terminal T2
     */
    public T_1(T2 _t2) {
        this._t2 = _t2;
    }

    /**
     * Return a string representation.
     *
     * @return string representation
     */
    public String toString() {
        return _t2.toString();
    }
}
