package output;

/**
 * Terminal: _Terminal1.
 */
public class _Terminal1 extends AToken {
    /**
     * Interface for a visitor to visit a _Terminal1.
     */
    public static interface I_Terminal1Visitor extends ITokVisitor {
        /**
         * Case for a _Terminal1.
         *
         * @param host  _Terminal1
         * @param param visitor-specific parameter
         * @return visitor-specific return value
         */
        public Object _terminal1Case(_Terminal1 host, Object param);
    }

    /**
     * Private singleton constructor for a _Terminal1.
     *
     * @param lexeme lexeme
     */
    private _Terminal1() {
        super("::=");
    }

    /**
     * Singleton instance.
     */
    public static final _Terminal1 Singleton = new _Terminal1();

    /**
     * Execute the _Terminal1 case of the visitor.
     *
     * @param algo  visitor
     * @param param visitor-specific parameter
     * @return visitor-specific return value
     */
    public Object execute(ITokVisitor algo, Object param) {
        return (algo instanceof I_Terminal1Visitor)
                ? ((I_Terminal1Visitor) algo)._terminal1Case(this, param)
                : algo.defaultCase(this, param);
    }
}
